Bug 248108 - Add more device IDs to support ATI SB700 SATA controller completely
Add more device IDs to support ATI SB700 SATA controller completely
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.5
All Linux
low Severity high
: ---
: ---
Assigned To: Prarit Bhargava
Martin Jenner
: OtherQA
Depends On:
Blocks: 221318 248673
  Show dependency treegraph
 
Reported: 2007-07-13 06:29 EDT by Shane Huang
Modified: 2009-06-19 19:35 EDT (History)
6 users (show)

See Also:
Fixed In Version: RHBA-2007-0791
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:30:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SB700 SATA related Device IDs (775 bytes, patch)
2007-07-13 06:29 EDT, Shane Huang
no flags Details | Diff
RHEL4.6: fix for this issue (1.13 KB, patch)
2007-07-23 09:19 EDT, Prarit Bhargava
no flags Details | Diff

  None (edit)
Description Shane Huang 2007-07-13 06:29:11 EDT
Description of problem:
RHEL4.5 can NOT be installed on ATI SB700 when set "onchip SATA type"
in BIOS into "AHCI" mode. There are four SATA related device IDs in SB700:
0x4390, SATA in IDE mode
0x4391, SATA in AHCI mode
0x4392, SATA in RAID mode with Promise non-Raid5 driver
0x4392, SATA in RAID mode with Promise Raid5 driver
This is different from SB600, there is only one SATA Device ID in SB600,
which is 0x4380.

In the previous SATA patch to SB700(bug# 244193), we only add 0x4390.
This patch provide the other three device IDs, otherwise Linux
can NOT be installed when set SATA into "AHCI" mode in BIOS.

Version-Release number of selected component (if applicable):
All

How reproducible:
Always

Steps to Reproduce:
1. Set "onchip SATA type" in BIOS into "AHCI" mode.
2. Install RHEL4.5
  
Actual results:
Failed to install this distribution!

Expected results:
RHEL4.5 should be installed on "AHCI" mode.

Additional info:
We have sent this patch to kernel.org, Will post the upstream commit
here ASAP when it is accepted.
Comment 1 Shane Huang 2007-07-13 06:29:11 EDT
Created attachment 159147 [details]
SB700 SATA related Device IDs
Comment 2 Shane Huang 2007-07-13 06:37:48 EDT
Can you add this patch into RHEL4.6 before it's release? Thanks
Comment 3 Prarit Bhargava 2007-07-13 08:06:32 EDT
>We have sent this patch to kernel.org, Will post the upstream commit
>here ASAP when it is accepted.

Given the low risk of this, in this case I'm inclined to accept a link to the
actual upstream SUBMIT.

Shane, think you can post that in this BZ, and then I'll submit this for review
internally?

Thanks,

P.
Comment 5 RHEL Product and Program Management 2007-07-13 08:14:36 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Shane Huang 2007-07-22 21:11:09 EDT
upstream commit:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-
2.6.git;a=commit;h=badc2341579511a247f5993865aa68379e283c5c
Comment 7 Prarit Bhargava 2007-07-23 09:19:00 EDT
Created attachment 159781 [details]
RHEL4.6: fix for this issue
Comment 9 Jason Baron 2007-07-27 13:00:58 EDT
committed in stream U6 build 55.24. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 11 Don Domingo 2007-08-23 21:34:41 EDT
added to RHEL4.6 release notes under "Kernel-Related Updates":

<quote>
added additional device IDs for ATI SB700
</quote>

please advise if any revisions are necessary. thanks!

Comment 12 John Poelstra 2007-08-28 20:09:37 EDT
A fix for this issue should have been included in the packages contained in the
RHEL4.6 Beta released on RHN (also available at partners.redhat.com).  

Requested action: Please verify that your issue is fixed to ensure that it is
included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message to Issue Tracker and
I will change the status for you.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 13 John Poelstra 2007-09-05 18:22:01 EDT
A fix for this issue should have been included in the packages contained in 
the RHEL4.6-Snapshot1 on partners.redhat.com.  

Requested action: Please verify that your issue is fixed to ensure that it is 
included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed, 
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent 
symptoms of the problem you are having and change the status of the bug to 
FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test 
results to Issue Tracker.  If you need assistance accessing 
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 14 John Poelstra 2007-09-11 20:41:51 EDT
A fix for this issue should be included in RHEL4.6-Snapshot2--available soon on
partners.redhat.com.  

Please verify that your issue is fixed to ensure that it is included in this
update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test
results to Issue Tracker.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 15 John Poelstra 2007-09-20 00:30:22 EDT
A fix for this issue should have been included in the packages contained in the
RHEL4.6-Snapshot3 on partners.redhat.com.  

Please verify that your issue is fixed to ensure that it is included in this
update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test
results to Issue Tracker.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 17 errata-xmlrpc 2007-11-15 11:30:11 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0791.html

Note You need to log in before you can comment on or make changes to this bug.